Live Helper Chat support forum.. Old google groups forum can be found here

You are not logged in.

Announcement

#1 2016-01-21 12:20:05

andrewh
Member
Registered: 2016-01-21
Posts: 2

plans to support PHP 7.0?

Hi

Do you have a timetable for support for PHP 7.0?

I ask because I upgraded a server using Live Helper Chat to PHP 7.0. All appears to work fine, except for XMPP support which we use.

The XMPP library has function calls in XMLStream.php file that fail due to backward incompatibility:
http://php.net/manual/en/migration70.incompatible.php
See the section entitled:  Changes to the handling of indirect variables, properties, and methods

I applied curly braces to amend the evaluation order in a number of lines in the endXML() and event() functions.
Following these changes the code runs as expected.

I appreciate this library is not your code.
Thanks for all the good work!

Andrew

Offline

#2 2016-01-21 19:10:34

remdex
Administrator
From: Lithuania
Registered: 2012-09-23
Posts: 3,631
Website

Re: plans to support PHP 7.0?

If you could create pull request i would merge it to official branch.

Offline

#3 2016-01-22 12:22:19

andrewh
Member
Registered: 2016-01-21
Posts: 2

Re: plans to support PHP 7.0?

OK. I have time to do this in next few days.

Offline

Board footer